<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <!--
      - o comportamento padrão do vue, para valores interpolados/renderizados no template, é ter todos os templates monitorando o valor atual daquele dado na instância vue 
      - a instância do vue.js tem os templates todos em memória. sempre que há uma mudança, o template é gerado novamente, atualizando somente o que é novo.
      - para que um valor seja renderizado uma única vez e não seja atualizado, mesmo que ele seja mudado depois na instância vue.
      - consome menos recursos computacionais, inclusive.
      -->
    <p v-once>{{ titulo }}</p>
    <p>{{ saudacao() }}</p>
    <a v-bind:href="link">Google</a>
  </div>
  <script src="app.js"></script>
</body>

</html>